> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/enterprises/setStoreLayout#auth).

Sets the store layout for the enterprise. By default, storeLayoutType
is set to "basic" and the basic store layout is enabled. The basic
layout only contains apps approved by the admin, and that have
been added to the available product set for a user (using the
[setAvailableProductSet](https://developers.google.com/android/work/play/emm-api/v1/users/setAvailableProductSet) call). Apps on the page are sorted in order of
their product ID value. If you create a custom store layout (by setting
storeLayoutType = "custom" and setting a homepage), the basic store
layout is disabled.

## Request

### HTTP request

```
PUT https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/storeLayout
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

In the request body, supply data with the following structure:

```
{
  "kind": "androidenterprise#storeLayout",
  "homepageId": string,
  "storeLayoutType": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `homepageId` | `string` | The ID of the store page to be used as the homepage. The homepage is the first page shown in the managed Google Play Store. Not specifying a homepage is equivalent to setting the store layout type to "basic". |   |
| `storeLayoutType` | `string` | The store layout type. By default, this value is set to "basic" if the homepageId field is not set, and to "custom" otherwise. If set to "basic", the layout will consist of all approved apps that have been whitelisted for the user. <br /> Acceptable values are: - "`basic`" - "`custom`" |   |
| `kind` | `string` |   |   |

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "androidenterprise#storeLayout",
  "homepageId": string,
  "storeLayoutType": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `homepageId` | `string` | The ID of the store page to be used as the homepage. The homepage is the first page shown in the managed Google Play Store. Not specifying a homepage is equivalent to setting the store layout type to "basic". |   |
| `storeLayoutType` | `string` | The store layout type. By default, this value is set to "basic" if the homepageId field is not set, and to "custom" otherwise. If set to "basic", the layout will consist of all approved apps that have been whitelisted for the user. <br /> Acceptable values are: - "`basic`" - "`custom`" |   |
| `kind` | `string` |   |   |